Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Interface FTPFileListParser

All Known Implementing Classes:
  FTPFileEntryParserImpl

Deprecated. This interface is deprecated as of version 1.2 and will be removed in version 2.0 -- use FTPFileEntryParser instead.

public interface FTPFileListParser

FTPFileListParser defines the interface for parsing FTP file listings and converting that information into an array of `FTPFile` instances. Sometimes you will want to parse unusual listing formats, in which case you would create your own implementation of FTPFileListParser and if necessary, subclass FTPFile.

Author:
  Daniel F. Savarese
See Also:
  `FTPFile`, `FTPClient.listFiles(java.lang.String, java.lang.String)`

Method Summary
`FTPFile[]` | `parseFileList(InputStream listStream)` Deprecated. Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances.
`FTPFile[]` | `parseFileList(InputStream listStream, String encoding)` Deprecated. Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances.

Method Detail

### parseFileList

    public FTPFile[] parseFileList(InputStream listStream,
                                   String encoding)
                            throws IOException

  Deprecated.
  Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances. If the file list contains no files, `null` should be returned, otherwise an array of `FTPFile` instances representing the files in the directory is returned.

  Parameters:
    `listStream` - The InputStream from which the file list should be read.
    `encoding` - The encoding to use.
  Returns:
    The list of file information contained in the given path. null if the list could not be obtained or if there are no files in the directory.
  Throws:
    `IOException` - If an I/O error occurs reading the listStream.

### parseFileList

    public FTPFile[] parseFileList(InputStream listStream)
                            throws IOException

  Deprecated.
  Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances. If the file list contains no files, `null` should be returned, otherwise an array of `FTPFile` instances representing the files in the directory is returned.

  Parameters:
    `listStream` - The InputStream from which the file list should be read.
  Returns:
    The list of file information contained in the given path. null if the list could not be obtained or if there are no files in the directory.
  Throws:
    `IOException` - If an I/O error occurs reading the listStream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.